### Constructor

# Gtk ShortcutControllernew_for_model

#### Declaration [src]

    GtkEventController*
    gtk_shortcut_controller_new_for_model (
      GListModel* model
    )

#### Description [src]

Creates a new shortcut controller that takes its shortcuts from the given list model.

A controller created by this function does not let you add or remove individual shortcuts using the shortcut controller api, but you can change the contents of the model.

#### Parameters

`model`

  Type: `GObject`

  A `GListModel` containing shortcuts.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkEventController`

A newly created shortcut controller.

The caller of the function takes ownership of the data, and is responsible for freeing it.